Skip to main content
GET
/
workflows
/
{workflowId}
Get workflow
curl --request GET \
  --url https://script.so/api/v1/workflows/{workflowId} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "input_schema": "<unknown>"
}

Authorizations

x-api-key
string
header
required

API key authentication. Get your key from Settings → API Keys.

Path Parameters

workflowId
string<uuid>
required

Workflow ID

Response

Workflow details

Detailed workflow information

id
string<uuid>
required

Unique workflow identifier

name
string
required

Workflow name

description
string
required

Workflow description

created_at
string<date-time>
required

Timestamp when the workflow was created

updated_at
string<date-time>
required

Timestamp when the workflow was last updated

input_schema
any | null

JSON Schema defining the expected input format for workflow execution. Null if no input required.